Datasets
Get Dataset
Retrieve details of a specific dataset
GET
/
v1
/
datasets
/
{dataset_id}
Get Dataset
curl --request GET \
--url https://api.fltr.com/v1/datasets/{dataset_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.fltr.com/v1/datasets/{dataset_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fltr.com/v1/datasets/{dataset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_public": true,
"document_count": 123,
"created_at": "<string>",
"updated_at": "<string>",
"metadata": {}
}Request
Returns detailed information about a dataset including document count and metadata.Path Parameters
string
required
The unique dataset identifier (e.g.,
ds_abc123)Headers
string
required
Bearer token for authentication
Response
string
Dataset identifier
string
Dataset name
string
Dataset description
boolean
Public accessibility status
integer
Number of documents in dataset
string
ISO 8601 creation timestamp
string
ISO 8601 last update timestamp
object
Custom metadata
Examples
cURL
curl https://api.fltr.com/v1/datasets/ds_abc123 \
-H "Authorization: Bearer fltr_sk_abc123..."
Python
response = requests.get(
"https://api.fltr.com/v1/datasets/ds_abc123",
headers={"Authorization": "Bearer fltr_sk_abc123..."}
)
dataset = response.json()
Response
{
"id": "ds_abc123",
"name": "Product Documentation",
"description": "All product docs and guides",
"is_public": false,
"document_count": 42,
"created_at": "2024-01-10T12:00:00Z",
"updated_at": "2024-01-10T15:30:00Z",
"metadata": {
"category": "documentation",
"team": "product"
}
}
Errors
{
"error": "Dataset not found",
"code": "dataset_not_found",
"details": {
"dataset_id": "ds_invalid"
}
}
⌘I
Get Dataset
